<%
   /**
    * Contributors be aware that I will kill you if you do not indent correctly!
    *
    * @file Error file.
    * @author oskikiboy
    */
%>

<!DOCTYPE html>
<html>
    <head>
        <%- include("./partials/head") %>
    </head>
    <body>
        <section class="hero is-dark is-halfheight bg bg-error">
            <%- include("./partials/navbar") %>
            <div class="hero-body">
                <div class="container">
                    <div class="column is-5">
                        <img src="/static/img/tensa-invert.png" class="is-logo" draggable="false" />
                    </div>
                    <div class="column is-7 has-column-content-centered">
                        <h1 class="title is-1 is-main-title">
                            <p class="brand-text">Tensa</p>
                        </h1>
                        <h2 class="subtitle is-3 is-subtitle-brand">Error <%- code %>.</h2>
                    </div>
                </div>
            </div>
        </section>
        <section class="hero is-white is-halfheight">
            <div class="hero-body">
                <div class="container">
                    <h1 class="title is-1 is-spaced">Oh no, thats an error!</h1>
                    <h2 class="subtitle is-5 is-cmds">It seems that your request provided an error <%- code %>. You should report this.</h2>
                    <br />
                    <p class="box has-text-centered" style="box-shadow: none;box-shadow: 0 0 0 rgba(10,10,10,.1), 0 0 0 1px rgba(10,10,10,.1);">
                        <i class="mdi mdi-information" aria-hidden="true"></i>&nbsp;Provided Information
                        <br />
                        <br />
                        <%- msg %>
                    </p>
                </div>
            </div>
        </section>
        <script src="/static/js/index.js"></script>
        <footer class="footer">
            <div class="content has-text-centered">
                <br /> 
                <br />
                <p>
                    <i class="mdi mdi-settings" aria-hidden="true"></i>&nbsp;Debug Information
                    <br />
                    <br />
                    <%- debug %>
                </p>
            </div>
        </footer>
    </body>
</html>
